var shares = {};		// 存放分享服务信息
var Intent=null,File=null,Uri=null,main=null;
document.addEventListener('plusready',function(){
	if(plus.os.name=="Android"){
		Intent = plus.android.importClass("android.content.Intent");
		File = plus.android.importClass("java.io.File");
		Uri = plus.android.importClass("android.net.Uri");
		main = plus.android.runtimeMainActivity();
	}
	plus.share.getServices( function(s){
		shares={};
		for(var i in s){
			var t=s[i];
			shares[t.id]=t;
		}
		console.log(JSON.stringify(shares))
	}, function(e){
		console.log( "获取分享服务列表失败："+e.message );
	} );
},false);
function shareActionSheet(){
	var ids=[{id:"weixin",ex:"WXSceneSession"},{id:"weixin",ex:"WXSceneTimeline"},{id:"sinaweibo"},{id:"qq"}],
	bts=[{title:"发送给微信好友"},{title:"分享到微信朋友圈"},{title:"分享到新浪微博"},{title:"分享到QQ好友"}];
	if(plus.os.name=="iOS"){
		ids.push({id:"qq"});
		bts.push({title:"分享到QQ"});
	}
	plus.nativeUI.actionSheet({cancel:"取消",buttons:bts},
		function(e){
			var i=e.index;
			if(i>0){
				var s = shares[ids[i-1].id];
				if ( s.authenticated ) {
					shareMessage(shares[ids[i-1].id],ids[i-1].ex);
				} else {
					s.authorize( function(){
							shareMessage(shares[ids[i-1].id],ids[i-1].ex);
						},function(e){
						plus.na.alert( "认证授权失败"+e.message,null,'提示' );
					});
				}
			}
		}
	);
}
function shareAction(id, ex){
	showWaiting('授权中...');
	var s = shares[id];
	if ( s.authenticated ) {
		plus.nativeUI.closeWaiting();	
		toast('授权成功');
		shareMessage(shares[id],ex);
	} else {
		s.authorize( function(){
				plus.nativeUI.closeWaiting();	
				toast('授权成功');
				shareMessage(shares[id],ex);
			},function(e){
			plus.nativeUI.closeWaiting();	
			plus.nativeUI.alert( "认证授权失败"+e.message,null,'提示' );
		});
	}
}
function shareMessage(s, ex) { 
	showWaiting('分享中...');
	var msg = {content:'这是测试内容！',extra:{scene:ex}};
		msg.title = '分享测试';
		msg.href='http://www.baidu.com';
		msg.thumbs=["img/pay5.png"];
	s.send( msg, function(){
		plus.nativeUI.closeWaiting();
		plus.webview.getWebviewById(plus.webview.currentWebview().old_page_id).evalJS('close_mask();');
		plus.nativeUI.toast( "分享到\""+s.description+"\"成功！ " );
	}, function(e){
		console.log(JSON.stringify(e));
		plus.nativeUI.closeWaiting();
		plus.webview.getWebviewById(plus.webview.currentWebview().old_page_id).evalJS('close_mask();');
		toast('分享失败');
	} );	
}