document.addEventListener('plusready',function(){
	
	var ws = plus.webview.currentWebview();
	var osname = plus.os.name;
	
	if(osname=="Android"){
		var publish=1;
	}
	
	if(osname=="ios"){
		var publish=2;
	}
		
		
	if(ws.title && ws.body){
		$('#title').val(ws.title);
		$('#text').text(ws.body);
	}
	
	$('#Action').on('tap',function(){
		var title = $("#title").val();
		var text = $("#text").val();
		var tid = parseInt($("#tid").val());
		title = title.replace(/[ ]/g,"");
		text = text.replace(/[ ]/g,"");
		if(title=="" || title==null || title==undefined){
			plus.nativeUI.toast("标题不能为空");
			return;
		}
		
		if(text=="" || text==null || text==undefined){
			plus.nativeUI.toast("正文内容不能为空");
			return;
		}
		
		if(tid=="" || tid==null || tid==undefined || isNaN(tid)){
			plus.nativeUI.toast("请选择分类");
			return;
		}
		
		var uid = plus.storage.getItem('nq_uid');
		var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
		if(isActive){
			 var city = getStorage('nq_user_city');
			 if(city){
				  $.ajax({
					type:"get",
					url:ApiRoot,
					dataType:'text',
					data:'m=bbs&a=addTextBbs&title='+title+'&text='+text+'&tid='+tid+'&uid='+uid+'&city='+city+'&publish='+publish,
					success:function(data){
						if(data){
							toast('发布内容成功');
							plus.webview.getLaunchWebview().reload();
							if(plus.webview.getWebviewById('drafts.html')){
								plus.webview.getWebviewById('drafts.html').evalJS('draftsLoad();');
							}
							if(plus.webview.getWebviewById('drafts_detials.html')){
								plus.webview.getWebviewById('drafts_detials.html').close('none');
							}
							ws = plus.webview.currentWebview();
							ws.close('pop-out',800);
						}else{
							toast('发布内容失败');
						}
					},
					error:function(e){
						toast('网络失去连接');
						console.log(JSON.stringify(e));
					}
				});
			}else{
				toast('请先选择当前城市');
				goUrl('select_city.html');
			}
		}else{
			  $.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'text',
				data:'m=bbs&a=addTextBbs&title='+title+'&text='+text+'&tid='+tid+'&uid='+uid,
				success:function(data){
					if(data){
						toast('发布内容成功');
						plus.webview.getLaunchWebview().reload();
						ws = plus.webview.currentWebview();
						ws.close('pop-out',800);
					}else{
						toast('发布内容失败');
					}
				},
				error:function(e){
					toast('网络失去连接');
					console.log(JSON.stringify(e));
				}
			});
		}
	})
	addPageView(0,null,1,'bbs');
	//返回键处理
	mui.back = function() {
		var uid = plus.storage.getItem('nq_uid');
		var title = $("#title").val();
		var text = $("#text").val();
		var id = ws.did;
		if(title!="" && text!=""){
			plus.nativeUI.confirm('是否保存到草稿箱，取消将删除该草稿!',function(e){
				if(e.index==0){
					if(plus.webview.getWebviewById('drafts.html')){
						plus.webview.getWebviewById('drafts.html').evalJS('draftsLoad();');
					}
					if(plus.webview.getWebviewById('drafts_detials.html')){
						plus.webview.getWebviewById('drafts_detials.html').close('none');
					}
					if(!id){
						$.ajax({
							type:"get",
							url:ApiRoot,
							data:'m=bbs&a=saveDraft&title='+title+'&text='+text+'&uid='+uid,
							success:function(data){
								ws.close('pop-out',500);
							}
						});						
					}else{
						$.ajax({
							type:"get",
							url:ApiRoot,
							data:'m=bbs&a=updateDraft&title='+title+'&text='+text+'&id='+id,
							success:function(data){
								ws.close('pop-out',500);
							}
						});	
					}
				}else if(e.index==1){
					mui.ajax(ApiRoot+'?m=bbs&a=deleteDraftsById',{
						type:'get',
						data:{
							id:id
						},
						dataType:'text',
						timeout:10000,
						success:function(data){
							if(data==1){
				    			if(plus.webview.getWebviewById('drafts.html')){
									plus.webview.getWebviewById('drafts.html').evalJS('draftsLoad();');
								}
								if(plus.webview.getWebviewById('drafts_detials.html')){
									plus.webview.getWebviewById('drafts_detials.html').close('none');
								}
							}
						},error:function(e){
							toast('网络断开连接');
							console.log(JSON.stringify(e));
						}
					})
					ws.close('pop-out',500);
				}
			},'保存',['是','否']);
		}else{
			ws.close('pop-out',500);
		}
	};
	
})
