document.addEventListener('plusready', function() {

	var wc = plus.webview.currentWebview();
	var tid = wc.tid;
	var cname = wc.cname;
	$('#title').text(cname);
	$.ajax({
		type: 'get',
		url: ApiRoot,
		dataType: 'json',
		data: 'm=bbs&a=postList&tid=' + tid,
		success: function(data) {
			if (data) {
				var finalList = "";
				$.each(data, function(k, v) {
					finalList = '<li class="mui-table-view-cell">';
					finalList += '<div class="header clearfix">';
					finalList += '<div class="usrInfo">';
					finalList += '<a class="clearfix">';
					$.each(v.mfi, function(k1, v1) {
						if (v1.avatar) {
							finalList += '<img src="' + WebRoot + v1.avatar + '" class="usrPic"/>';
						} else {
							finalList += '<img src="img/defaultavatar.png" class="usrPic"/>';
						}
						finalList += '<div class="usrTxt">';
						finalList += '<h4 class="usrName mui-ellipsis">';
						if (v1.nickname) {
							finalList += '<span class="nameTxt">' + v1.nickname + '</span>';
						} else if (v1.phone) {
							finalList += '<span class="nameTxt">' + v1.phone + '</span>';
						} else {
							finalList += '<span class="nameTxt">' + v1.user + '</span>';
						}
						finalList += '<span class="lv">VIP1</span>';
						finalList += '<span class="sex">';
						if (v1.sex == 1) {
							finalList += '<i class="iconfont icon-nan"></i>';
						} else if (v1.sex == 2) {
							finalList += '<i class="iconfont icon-nv"></i>';
						}
						finalList += '</span></h4>';
					})
					finalList += '<p class="time">' + v.addtime + '</p>';
					finalList += '</div></a></div>';
					finalList += '<div class="re_num mui-ellipsis">';
					finalList += '<span class="mui-icon iconfont icon-xiaoxi1"></span>';
					finalList += '<span class="num">' + v.replynum + '</span>';
					finalList += '</div></div>';
					finalList += '<div class="TipsContent" onclick="go(' + v.id + ')">';
					finalList += '<a>';
					if (v.title) {
						finalList += '<h4 class="tipsCaption">' + v.title + '</h4>';
					}
					if (v.bword) {
						finalList += '<p class="tipsCon mui-ellipsis-2">' + AnalyticEmotion(v.bword) + '</p>';
					}
					finalList += '<ul class="tipsMedia clearfix">';
					if (v.photo) {
						$.each(v.photo, function(k2, v2) {
							finalList += '<li class="mediaItmes">';
							finalList += '<img src="' + WebRoot + v2[0] + '"/>';
							finalList += '</li>';
						})
					}
					finalList += '</ul></a></div></li>';
					$("#postList").append(finalList);
				});
			} else {
				$("#postList").html('<div class="mui-text-center" style="padding: 20px;background: #efeff4;color: gray;">暂无任何' + cname + '内容哦~</div>');
			}
		},
		error: function(e) {
			toast('网络失去连接');
			console.log(JSON.stringify(e));
		}
	});
	addPageView(0, null, 1, 'bbs');
})

function go(id) {
	var web = plus.webview.create('details.html', 'details.html', {}, {
		bid: id
	});
	web.show('pop-in', 500);
}